ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Fetzer <elstonk...@yahoo.com.INVALID>
Subject Re: Issue with sql task accessing MySql
Date Wed, 28 Aug 2019 19:27:33 GMT
 Also, any clue what version of Java do I need to use with this?  1.8?
    On Wednesday, August 28, 2019, 12:57:34 PM MDT, Eric Fetzer <elstonkers@yahoo.com.INVALID>
wrote:  
 
  Is there a way to set that version JUST for this call?  We're building a legacy application
here that CANNOT upgrade to a newer version of Java...  Thanks!
    On Wednesday, August 28, 2019, 12:28:55 PM MDT, Stefan Bodewig <bodewig@apache.org>
wrote:  
 
 On 2019-08-28, Eric Fetzer wrote:

>  Thanks Stefan, a bit better:
> $ ant -f test.xmlBuildfile: test.xml
> main:
> BUILD FAILEDc:\BuildDeployScripts\test.xml:22: java.lang.UnsupportedClassVersionError:
(com/mysql/jdbc/Driver) bad major version at offset=6
> Total time: 0 seconds

You are running a version of Java that cannot use the new driver as it
has been compiled for a newer version.

Unless the driver provides a version for an older version of Java
(unlikely but not completely impossible) there is no other options than
updrading the version of Java you use.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org

    
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message